Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config.impl.digester.elements
Class MapEntries

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.MapEntries

All Implemented Interfaces:
  MapEntries

public class MapEntries
extends java.lang.Object
implements MapEntries

Author:
  Oliver Rossmueller

Nested Class Summary
`static class` | `MapEntries.Entry`

Constructor Summary
`MapEntries()`

Method Summary
`void` | `addEntry(MapEntries.Entry entry)`
`java.lang.String` | `getKeyClass()`
`java.util.Iterator` | `getMapEntries()`
`java.lang.String` | `getValueClass()`
`void` | `setKeyClass(java.lang.String keyClass)`
`void` | `setValueClass(java.lang.String valueClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapEntries

    public MapEntries()

Method Detail

### getKeyClass

    public java.lang.String getKeyClass()

  Specified by:
    `getKeyClass` in interface `MapEntries`

### setKeyClass

    public void setKeyClass(java.lang.String keyClass)

### getValueClass

    public java.lang.String getValueClass()

  Specified by:
    `getValueClass` in interface `MapEntries`

### setValueClass

    public void setValueClass(java.lang.String valueClass)

### addEntry

    public void addEntry(MapEntries.Entry entry)

### getMapEntries

    public java.util.Iterator getMapEntries()

  Specified by:
    `getMapEntries` in interface `MapEntries`
  Returns:
    Iterator over `MapEntry` entries

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD